Skip to content
POST /mcp/{token}

JSON-RPC 2.0 over Streamable HTTP. Token is opaque (KV-resolved). Optional org API token second factor when require_org_api_token is set.

Path Parameters

tokenstring
required·

Opaque MCP token

Request Body

id
jsonrpcstring
Possible values:
2.0
methodstring
paramsRecord<string, any>

Response Body

errorRecord<string, any>
id
jsonrpcstring
result
curl -X POST 'https://api.elaichi.ai/mcp/<token>' \
  -H 'Content-Type: application/json' \
  -d '{"jsonrpc":"2.0","method":"your_method","params":{}}'
const body = {
  "jsonrpc": "2.0",
  "method": "your_method",
  "params": {}
};

const response = await fetch('https://api.elaichi.ai/mcp/<token>', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/mcp/<token>"
headers = {
    "Content-Type": "application/json",
}
payload = {
    "jsonrpc": "2.0",
    "method": "your_method",
    "params": {}
}

response = requests.post(url, headers=headers, json=payload)
print(response.json())